using System;

namespace Animals
{
  [Telerik.OpenAccess.Persistent()]
  public class Parrot : Bird
  {
    private bool _hasWonderfulPlumage;
    public bool HasWonderfulPlumage
    {
      get
      {
        return _hasWonderfulPlumage; 
      }
      set
      {
        _hasWonderfulPlumage = value; 
      }
    }

    public override void Speak()
    {
      Console.WriteLine(this.Name +
        " wants a cracker. No, really, I want a cracker.");
    }
  }
}
